<?php

  $halloween_store_theme_custom_setting_css = '';

    // Global Color
    $halloween_store_first_theme_color = get_theme_mod('halloween_store_first_theme_color', '#EF7726');
    $halloween_store_second_theme_color = get_theme_mod('halloween_store_second_theme_color', '#141B38');
    $halloween_store_third_theme_color = get_theme_mod('halloween_store_third_theme_color', '#633FB1');

    $halloween_store_theme_custom_setting_css .=':root {';
        $halloween_store_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($halloween_store_first_theme_color ).'!important;';
        $halloween_store_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($halloween_store_second_theme_color ).'!important;';
        $halloween_store_theme_custom_setting_css .='--tertiary-theme-color: '.esc_attr($halloween_store_third_theme_color ).'!important;';
    $halloween_store_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$halloween_store_scroll_alignment = get_theme_mod('halloween_store_scroll_alignment', 'right');

    if($halloween_store_scroll_alignment == 'right'){
        $halloween_store_theme_custom_setting_css .='.scroll-up{';
            $halloween_store_theme_custom_setting_css .='right: 30px;!important;';
			$halloween_store_theme_custom_setting_css .='left: auto;!important;';
        $halloween_store_theme_custom_setting_css .='}';
    }else if($halloween_store_scroll_alignment == 'center'){
        $halloween_store_theme_custom_setting_css .='.scroll-up{';
            $halloween_store_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $halloween_store_theme_custom_setting_css .='}';
    }else if($halloween_store_scroll_alignment == 'left'){
        $halloween_store_theme_custom_setting_css .='.scroll-up{';
            $halloween_store_theme_custom_setting_css .='left: 30px;!important;';
			$halloween_store_theme_custom_setting_css .='right: auto;!important;';
        $halloween_store_theme_custom_setting_css .='}';
    }

    // Woocommerce Sale Position
    $halloween_store_sale_badge_position = get_theme_mod( 'halloween_store_sale_badge_position','right');
    if($halloween_store_sale_badge_position == 'left'){
        $halloween_store_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $halloween_store_theme_custom_setting_css .='left: 10px; right: auto;';
        $halloween_store_theme_custom_setting_css .='}';
    }else if($halloween_store_sale_badge_position == 'right'){
        $halloween_store_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $halloween_store_theme_custom_setting_css .='left: auto; right: 10px;';
        $halloween_store_theme_custom_setting_css .='}';
    }

    // Featured Image Hover Effect
    $halloween_store_show_featured = get_theme_mod('halloween_store_featured_image_hide_show', 1);
    $halloween_store_hover_effect = get_theme_mod('halloween_store_single_post_featured_image_hover','none');

    if ( $halloween_store_show_featured && $halloween_store_hover_effect !== 'none' ) {

    $halloween_store_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $halloween_store_hover_effect === 'zoom-in' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $halloween_store_hover_effect === 'zoom-out' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $halloween_store_hover_effect === 'grayscale' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $halloween_store_hover_effect === 'sepia' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $halloween_store_hover_effect === 'blur' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $halloween_store_hover_effect === 'bright' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $halloween_store_hover_effect === 'translate' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $halloween_store_hover_effect === 'scale' ) {
        $halloween_store_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $halloween_store_show_featured = get_theme_mod('halloween_store_featured_image_hide_show', 1);
    $halloween_store_hover_effect = get_theme_mod('halloween_store_product_featured_image_hover','none');

    if ( $halloween_store_show_featured && $halloween_store_hover_effect !== 'none' ) {

    $halloween_store_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $halloween_store_hover_effect === 'zoom-in' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $halloween_store_hover_effect === 'zoom-out' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $halloween_store_hover_effect === 'grayscale' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $halloween_store_hover_effect === 'sepia' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $halloween_store_hover_effect === 'blur' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $halloween_store_hover_effect === 'bright' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $halloween_store_hover_effect === 'translate' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $halloween_store_hover_effect === 'scale' ) {
        $halloween_store_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}
